Package be.fgov.ehealth.certra.protocol.v2

# Class GetCertificateInfoForCitizenRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.certra.protocol.v2.GetCertificateInfoForCitizenRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetCertificateInfoForCitizenRequest extends RequestType implements Serializable
Request for obtaining information about all the eHealth certificates and encryption tokens that can be managed by the natural person that signed the request with their Belgian eID.

Java class for GetCertificateInfoForCitizenRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetCertificateInfoForCitizenRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetCertificateInfoForCitizenRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Signature`
  `getSignature()`
  An enveloped XML signature that signs the entire request.
  `void`
  `setSignature(Signature value)`
  Sets the value of the signature property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetCertificateInfoForCitizenRequest

    public GetCertificateInfoForCitizenRequest()

- ## Method Details

  - ### getSignature

    public Signature getSignature()
    An enveloped XML signature that signs the entire request. It must be created by the "Authentication" key of a Belgian eID. The service will extract the details of the person from the associated certificate in order to determine which certificates this person can view and manage.
    Returns:
      possible object is `Signature`

  - ### setSignature

    public void setSignature(Signature value)
    Sets the value of the signature property.
    Parameters:
      `value` - allowed object is `Signature`
    See Also:
      - `getSignature()`